package eventmodels

import "github.com/mhaya/game/game_cluster/internal/constant"

// 用户提现事件
type UserWithdrawEventContent struct {
	UserBasic
	EventBasic
	Currency      constant.CurrencyTypeStr `json:"currency"`       // 货币类型
	Ip            string                   `json:"ip"`             // IP
	Platform      string                   `json:"platform"`       // 平台
	Channel       string                   `json:"channel"`        // 渠道
	Address       string                   `json:"address"`        // 提现地址
	BeforeBalance int64                    `json:"before_balance"` // 提现前余额
	Amount        int64                    `json:"amount"`         // 提现金额
	AfterBalance  int64                    `json:"after_balance"`  // 提现后余额
}

func (e *UserWithdrawEventContent) EventName() string {
	return "UserWithdraw"
}
